#include <iostream>
using namespace std;
int f(int a)
{
    int b=1;
    for(int i=1;i<=a;i++)
    {
        b*=i;
    }
    return b;
}
int main()
{
    int t;
    int n,m,k;
    cin>>t;
    for(int i=0;i<t;i++)
    {
        cin>>n>>m>>k;
        if(m<=n) cout<<"Nie"<<endl;
        else
        {
            if(m<f(n/k))
            {
                cout<<"Nie"<<endl;
            }
            else cout<<"Tak"<<endl;
        }
    }
    return 0;
}